/*
Public header file for color selector custom control facility

(C) Scott Gourley/Clickon Software, 1991.
*/

/* defining information about the color selector facility */

#define CLRCTRL_DLLNAME "CLRCTRL.DLL"

/* prototypes for control-specific functions */

LONG FAR PASCAL ClrCtrlWndProc
    (HWND hWnd, WORD wMsg, WORD wParam, LONG lParam);
BOOL FAR PASCAL ClrCtrlRegisterClass (HANDLE hInstance);

/* specialized messages for the color selector custom control               */

/* Message           Description       Returns       wParam     lParam      */
/* ------------------------------------------------------------------------ */
/*                                                                          */
/* CLRM_SETCURCOLOR  Set the current   CB_ERR if     Not used.  The RGB     */
/*                   selected item of  the color                value of    */
/*                   the combobox to   does not                 the color   */
/*                   the passed color, exist in the             to be       */
/*                   if available.     combobox.                selected.   */
/*                                                                          */
/* CLRM_GETCURCOLOR  Get the color of  The color of  Not used.  Not used.   */
/*                   the current       the current                          */
/*                   selected item in  selected                             */
/*                   the combobox.     item, or                             */
/*                                     CB_ERR.                              */

#define CLRM_SETCURCOLOR    (WM_USER + 64)
#define CLRM_GETCURCOLOR    (WM_USER + 65)
